# Atlassian Bamboo CI Service

> 原文：[https://docs.gitlab.com/ee/user/project/integrations/bamboo.html](https://docs.gitlab.com/ee/user/project/integrations/bamboo.html)

*   [Setup](#setup)
    *   [Complete these steps in Bamboo](#complete-these-steps-in-bamboo)
    *   [Complete these steps in GitLab](#complete-these-steps-in-gitlab)
*   [Troubleshooting](#troubleshooting)

# Atlassian Bamboo CI Service[](#atlassian-bamboo-ci-service "Permalink")

GitLab 提供与 Atlassian Bamboo 的集成，以实现持续集成. 配置后，推送到项目将自动触发 Bamboo 的构建. 合并请求还将显示 CI 状态，显示构建是挂起，失败还是成功完成. 它还提供了指向 Bamboo 构建页面的链接，以获取更多信息.

在接受 Webhook 和提交数据方面，Bamboo 并没有提供与传统构建系统相同的功能. 在 GitLab 集成之前，需要在 Bamboo 构建计划中进行一些配置.

## Setup[](#setup "Permalink")

### Complete these steps in Bamboo[](#complete-these-steps-in-bamboo "Permalink")

1.  导航到 Bamboo 建设计划，然后从"操作"下拉列表中选择"配置计划".
2.  选择"触发器"标签.
3.  点击"添加触发器".
4.  输入描述，例如" GitLab 触发器"
5.  选择"提交更改后，存储库将触发构建"
6.  选中一个或多个存储库复选框
7.  在"触发 IP 地址"框中输入 GitLab IP 地址. 这是允许触发 Bamboo 生成的 IP 地址的列表.
8.  保存触发器.
9.  在左窗格中，选择一个构建阶段. 如果您有多个构建阶段，则要选择包含 Git 签出任务的最后一个阶段.
10.  Select the ‘Miscellaneous’ tab.
11.  在"模式匹配标签"下，将`${bamboo.repository.revision.number}`放在"标签"框中.
12.  Save

Bamboo 现在准备接受来自 GitLab 的触发器. 接下来，在 GitLab 中设置 Bamboo 服务.

### Complete these steps in GitLab[](#complete-these-steps-in-gitlab "Permalink")

1.  导航到要配置为触发构建的项目.
2.  导航到" [集成"页面](overview.html#accessing-integrations)
3.  点击" Atlassian Bamboo CI"
4.  确保启用了**活动**切换.
5.  输入 Bamboo 服务器的基本 URL. `https://bamboo.example.com`
6.  Enter the build key from your Bamboo build plan. 输入 Bamboo 建造计划中的建造钥匙. Build keys are typically made up from the Project Key and Plan Key that are set on project/plan creation and separated with a dash ( `-` ), for example **PROJ-PLAN** . 构建密钥通常由在项目/计划创建时设置的项目密钥和计划密钥组成，并用破折号（ `-` ）分隔，例如**PROJ-PLAN** . This is a short, all uppercase identifier that is unique. 这是一个简短的全大写标识符，是唯一的. When viewing a plan within Bamboo, the build key is also shown in the browser URL, for example `https://bamboo.example.com/browse/PROJ-PLAN` . 在 Bamboo 内查看计划时，构建密钥也会显示在浏览器 URL 中，例如`https://bamboo.example.com/browse/PROJ-PLAN` .
7.  如有必要，请输入有权触发构建计划的 Bamboo 用户的用户名和密码. 如果不需要身份验证，请将这些字段留空.
8.  保存或选择单击"测试设置". 请注意，"测试设置"实际上会触发 Bamboo 的构建.

## Troubleshooting[](#troubleshooting "Permalink")

如果未触发构建，请确保在 Bamboo 的"触发 IP 地址"下输入了正确的 GitLab IP 地址. 还检查[服务挂钩日志中](overview.html#troubleshooting-integrations)是否存在请求失败.

**注意：**从 GitLab 8.14.0 开始，构建会在推送事件中触发.