# Atlassian HipChat

> 原文：[https://docs.gitlab.com/ee/user/project/integrations/hipchat.html](https://docs.gitlab.com/ee/user/project/integrations/hipchat.html)

*   [Setup](#setup)
    *   [Complete these steps in HipChat](#complete-these-steps-in-hipchat)
    *   [Complete these steps in GitLab](#complete-these-steps-in-gitlab)
*   [Troubleshooting](#troubleshooting)

# Atlassian HipChat[](#atlassian-hipchat "Permalink")

GitLab 提供了一种在许多事件（例如，当用户按下代码，创建分支或标签，添加注释以及创建合并请求）时发送 HipChat 通知的方法.

## Setup[](#setup "Permalink")

GitLab 要求使用 HipChat v2 API 令牌才能工作. 目前不支持 v1 令牌. 注意 v1 和 v2 令牌之间的区别：

HipChat v1 API（旧版）在" Group API"菜单中支持" API Auth Tokens". 允许使用 v1 令牌将消息发送到*任何*房间.

HipChat v2 API 具有可以使用"组"或"房间"管理页面中的"集成"选项卡创建的令牌. 根据设计，这些是轻量级令牌，允许 GitLab 仅将消息发送到*一个*房间.

### Complete these steps in HipChat[](#complete-these-steps-in-hipchat "Permalink")

1.  转到： `https://admin.hipchat.com/admin` : `https://admin.hipchat.com/admin`
2.  单击"组管理员"->"集成".
3.  找到"自己动手！" 然后点击"创建".
4.  选择所需的房间，将集成命名为" GitLab"，然后单击"创建".
5.  在"通过发布此 URL 将消息发送到此房间"列中，您应该看到以下格式的 URL：

```
https://api.hipchat.com/v2/room/<room>/notification?auth_token=<token> 
```

HipChat 现在准备接受来自 GitLab 的消息. 接下来，在 GitLab 中设置 HipChat 服务.

### Complete these steps in GitLab[](#complete-these-steps-in-gitlab "Permalink")

1.  导航到您要为通知配置的项目.
2.  导航到" [集成"页面](overview.html#accessing-integrations)
3.  点击" HipChat".
4.  确保启用了**活动**切换.
5.  插入`token`从 URL 字段进入`Token`在 Web 页面上的字段.
6.  插入`room`从 URL 字段进入`Room`在 Web 页面上字段.
7.  保存或选择单击"测试设置".

## Troubleshooting[](#troubleshooting "Permalink")

如果没有看到通知，请确保您使用的是 HipChat v2 API 令牌，而不是 v1 令牌.

请注意，v2 令牌绑定到特定房间. 如果希望能够指定任意房间，则可以在 HipChat 中"帐户设置"和" API 访问"下为特定用户创建 API 令牌. 使用`auth_token=XXX`下的`XXX`值.