# Migrating from ClearCase

> 原文：[https://docs.gitlab.com/ee/user/project/import/clearcase.html](https://docs.gitlab.com/ee/user/project/import/clearcase.html)

*   [Why migrate](#why-migrate)
*   [How to migrate](#how-to-migrate)

# Migrating from ClearCase[](#migrating-from-clearcase "Permalink")

[ClearCase](https://www.ibm.com/us-en/marketplace/rational-clearcase)是 IBM 开发的一组工具，还包括类似于 Git 的集中式版本控制系统.

可以在此[StackOverflow 帖子中](https://stackoverflow.com/a/645771/974710)找到有关 ClearCase 基本概念的良好阅读.

下表说明了 ClearCase 和 Git 之间的主要区别：

| Aspect | ClearCase | Git |
| --- | --- | --- |
| 仓库模型 | Client-server | Distributed |
| 修订版 ID | 分行号 | 全局字母数字 ID |
| 变更范围 | File | 目录树快照 |
| 并发模型 | Merge | Merge |
| 储存方式 | Deltas | 全部内容 |
| Client | CLI，Eclipse，CC 客户端 | CLI，Eclipse，Git 客户端/ GUI |
| Server | UNIX，Windows 旧式系统 | UNIX，macOS |
| License | Proprietary | GPL |

*选自 ClearClase 幻灯片[和](https://www.open.collab.net/media/pdfs/ClearCase-and-the-journey-to-Git.pdf) collab.net 提供的[Git 之旅](https://www.open.collab.net/media/pdfs/ClearCase-and-the-journey-to-Git.pdf)*

## Why migrate[](#why-migrate "Permalink")

从用户和管理员的角度来看，ClearCase 都可能难以管理. 迁移到 Git / GitLab 有：

*   **没有许可费用** ，Git 是 GPL，而 ClearCase 是专有的.
*   **学习曲线更短** ，Git 有一个庞大的社区和大量的入门指南.
*   **与现代工具集成** ，迁移到 Git 和 GitLab，您可以拥有一个开源的端到端软件开发平台，该平台具有内置的版本控制，问题跟踪，代码审查，CI / CD 等.

## How to migrate[](#how-to-migrate "Permalink")

虽然不存在从 ClearCase 完全迁移到 Git 的工具，但是这里有一些有用的链接可以帮助您入门：

*   [Bridge for Git and ClearCase](https://github.com/charleso/git-cc)
*   [Slides “ClearCase and the journey to Git”](https://www.open.collab.net/media/pdfs/ClearCase-and-the-journey-to-Git.pdf)
*   [ClearCase to Git](https://therub.org/2013/07/19/clearcase-to-git/)
*   [Dual syncing ClearCase to Git](https://therub.org/2013/10/22/dual-syncing-clearcase-and-git/)
*   [Moving to Git from ClearCase](https://sateeshkumarb.wordpress.com/2011/01/15/moving-to-git-from-clearcase/)
*   [ClearCase to Git webinar](https://www.brighttalk.com/webcast/11817/162473/clearcase-to-git)