# Iterations

> 原文：[https://docs.gitlab.com/ee/user/group/iterations/](https://docs.gitlab.com/ee/user/group/iterations/)

*   [View the iterations list](#view-the-iterations-list)
*   [Create an iteration](#create-an-iteration)
*   [Edit an iteration](#edit-an-iteration)
*   [Enable Iterations](#enable-iterations-core-only)

# Iterations[](#iterations-starter "Permalink")

版本历史

*   在[GitLab Starter](https://about.gitlab.com/pricing/) 13.1 中[引入](https://gitlab.com/gitlab-org/gitlab/-/issues/214713) .
*   它部署在功能标记后面，默认情况下处于禁用状态.
*   在 GitLab.com 上已禁用.
*   可以按组启用或禁用
*   不建议将其用于生产.
*   要在 GitLab 自管实例中使用它，请让 GitLab 管理员[启用它](#enable-iterations-core-only) .

迭代是跟踪一段时间内问题的一种方法. 这使团队可以跟踪速度和波动性指标. 迭代可与[里程碑](../../project/milestones/index.html)一起使用，以在不同时间段内进行跟踪.

例如，您可以使用：

*   计划递增的里程碑，跨越 8 到 12 周.
*   Sprint 的迭代，历时 2 周.

在 GitLab 中，迭代类似于里程碑，但有一些区别：

*   迭代仅适用于组.
*   一组一次只能有一个活动的迭代.
*   迭代需要开始日期和结束日期.
*   迭代日期范围不能重叠.

## View the iterations list[](#view-the-iterations-list "Permalink")

要查看迭代列表，请分组访问 **问题>迭代** . 从那里您可以创建一个新的迭代或单击一个迭代以获得更详细的视图.

## Create an iteration[](#create-an-iteration "Permalink")

**注意：**您需要具有开发人员[权限](../../permissions.html)或更高[权限](../../permissions.html)才能创建迭代.

要创建迭代：

1.  在一个小组中，转到 **问题>迭代** .
2.  Click **新迭代**.
3.  输入标题，描述（可选），开始日期和截止日期.
4.  单击**创建迭代** . 将打开"迭代详细信息"页面.

## Edit an iteration[](#edit-an-iteration "Permalink")

版本历史

*   在[GitLab Starter](https://about.gitlab.com/pricing/) 13.2 中[引入](https://gitlab.com/gitlab-org/gitlab/-/issues/218277) .

**注意：**您需要开发者[权限](../../permissions.html)或更高[权限](../../permissions.html)才能编辑迭代.

要编辑迭代，请点击三点菜单（ ）> **编辑迭代** .

## Enable Iterations[](#enable-iterations-core-only "Permalink")

GitLab 迭代功能正在开发中，尚未准备好用于生产. 它部署在**默认情况下禁用**的功能标志的后面. [有权访问 GitLab Rails 控制台的 GitLab 管理员](../../../administration/feature_flags.html)可以为您的实例启用它. `:group_iterations`可以按组启用或禁用.

要启用它：

```
# Instance-wide
Feature.enable(:group_iterations)
# or by group
Feature.enable(:group_iterations, Group.find(<group id>)) 
```

禁用它：

```
# Instance-wide
Feature.disable(:group_iterations)
# or by group
Feature.disable(:group_iterations, Group.find(<group id>)) 
```