# GitLab Slack application

> 原文：[https://docs.gitlab.com/ee/user/project/integrations/gitlab_slack_application.html](https://docs.gitlab.com/ee/user/project/integrations/gitlab_slack_application.html)

*   [Slack App Directory](#slack-app-directory)
*   [Configuration](#configuration)
*   [Create a project alias for Slack](#create-a-project-alias-for-slack)
*   [Usage](#usage)

# GitLab Slack application[](#gitlab-slack-application-free-only "Permalink")

版本历史

*   在 GitLab 9.4 中引入.
*   分发到 GitLab 10.2 中的 Slack App Directory.

**注意：** GitLab Slack 应用程序仅可为 GitLab.com 配置. 它**不适**用于您可以配置[Slack 斜杠命令](slack_slash_commands.html)服务的本地安装. 我们正计划使该配置可用于所有的 GitLab 安装，但是没有 ETA-参见[＃28164](https://gitlab.com/gitlab-org/gitlab/-/issues/28164) .

Slack 提供了一个本机应用程序，您可以通过 GitLab.com 上项目的集成来启用它.

## Slack App Directory[](#slack-app-directory "Permalink")

为您的工作区启用 GitLab Slack 应用程序的最简单方法是从[Slack App Directory](https://slack.com/apps)安装[GitLab 应用](https://slack-platform.slack.com/apps/A676ADMV5-gitlab) [程序](https://slack.com/apps) .

单击安装会将您带到[GitLab Slack 应用程序登录页面](https://gitlab.com/profile/slack/edit) ，您可以在其中选择一个项目来为其启用 GitLab Slack 应用程序.

[![GitLab Slack application landing page](img/618f6f4ba2a434609a1a9de7a9725e49.png)](img/gitlab_slack_app_landing_page.png)

## Configuration[](#configuration "Permalink")

或者，您可以使用项目的集成设置来配置 Slack 应用程序.

请记住，您需要拥有 Slack 团队的适当权限才能安装新应用程序，请阅读 Slack 文档中有关[将应用程序添加到工作区的更多信息](https://slack.com/help/articles/202035138-Add-an-app-to-your-workspace) .

为您的 Slack 团队启用 GitLab 的服务：

1.  转到项目的 **设置>集成> Slack 应用程序** （仅在 GitLab.com 上可见）.
2.  Click **添加到松弛**.

就这样！ 现在，您可以开始使用 Slack 斜杠命令.

## Create a project alias for Slack[](#create-a-project-alias-for-slack "Permalink")

要在 GitLab.com 上为 Slack 集成创建项目别名：

1.  转到项目的主页.
2.  导航 **设置>集成** （仅在 GitLab.com 上可见）
3.  在" **集成"**页面上，单击**Slack application** .
4.  显示当前的**项目别名** （如果有）. 要编辑此值，请点击**编辑** .
5.  输入所需的别名，然后点击**保存更改** .

一些 Slack 命令需要项目别名，如果项目别名不正确或命令中缺少该别名，则会失败并显示以下错误：

```
GitLab error: project or alias not found 
```

## Usage[](#usage "Permalink")

确认安装后，您和您的 Slack 团队中的其他所有人都可以使用所有[slash 命令](../../../integration/slash_commands.html) .

当您执行第一个斜杠命令时，将要求您在 GitLab.com 上授权您的 Slack 用户.

与[手动配置的 Slack 斜杠命令](slack_slash_commands.html)的唯一区别在于，所有命令均应以`/gitlab`关键字为前缀. 我们正在努力使此配置在将来成为可能.

例如，要显示`gitlab-org/gitlab`项目下的问题编号`1001` ，您可以执行以下操作：

```
/gitlab gitlab-org/gitlab issue show 1001 
```