# Migrating from TFVC to Git

> 原文：[https://docs.gitlab.com/ee/user/project/import/tfvc.html](https://docs.gitlab.com/ee/user/project/import/tfvc.html)

*   [TFVC vs Git](#tfvc-vs-git)
*   [Why migrate](#why-migrate)
*   [How to migrate](#how-to-migrate)

# Migrating from TFVC to Git[](#migrating-from-tfvc-to-git "Permalink")

Team Foundation Server（TFS）在 2019 年重命名为[Azure DevOps Server](https://azure.microsoft.com/en-us/services/devops/server/) ，是 Microsoft 开发的一组工具，还包括[Team Foundation Version Control](https://docs.microsoft.com/en-us/azure/devops/repos/tfvc/what-is-tfvc?view=azure-devops) （TFVC），这是一个类似于 Git 的集中式版本控制系统.

在本文档中，我们重点介绍从 TFVC 到 Git 的迁移.

## TFVC vs Git[](#tfvc-vs-git "Permalink")

TFVC 和 Git 之间的主要区别是：

*   **Git 是分布式的：**虽然 TFVC 使用客户端-服务器体系结构进行集中管理，但 Git 是分布式的. 由于您使用了整个存储库的副本，因此 Git 的工作流程更加灵活. 例如，这使您可以快速切换分支或合并，而无需与远程服务器进行通信.
*   **存储：**集中式版本控制系统中的更改是按文件（更改集）进行的，而在 Git 中，已提交的文件将全部存储（快照）. 这意味着还原或撤消 Git 的整个更改非常容易.

有关更多信息，请参见：

*   Microsoft’s [comparison of Git and TFVC](https://docs.microsoft.com/en-us/azure/devops/repos/tfvc/comparison-git-tfvc?view=azure-devops).
*   The Wikipedia [comparison of version control software](https://en.wikipedia.org/wiki/Comparison_of_version_control_software).

## Why migrate[](#why-migrate "Permalink")

迁移到 Git / GitLab 的优势：

*   **无需许可费用：** Git 是开源的，而 TFVC 是专有的.
*   **较短的学习曲线：** Git 拥有一个庞大的社区和大量的入门指南（请参阅我们的[Git 主题](../../../topics/git/index.html) ）.
*   **与现代工具的集成：**迁移到 Git 和 GitLab 之后，您将拥有一个带有内置版本控制，问题跟踪，代码审查，CI / CD 等的开源，端到端软件开发平台.

## How to migrate[](#how-to-migrate "Permalink")

从 TFVC 迁移到 Git 的最佳选择是使用[`git-tfs`](https://github.com/git-tfs/git-tfs)工具. 阅读" [将 TFS 迁移到 Git"](https://github.com/git-tfs/git-tfs/blob/master/doc/usecases/migrate_tfs_to_git.md)指南以获取更多详细信息.